"use client";
import { __exports as r } from "../../../../_virtual/flatten.js";
var a;
function m() {
  return a ? r : (a = 1, (function(n) {
    Object.defineProperty(n, Symbol.toStringTag, { value: "Module" });
    function f(s, c = 1) {
      const o = [], d = Math.floor(c), i = (l, u) => {
        for (let e = 0; e < l.length; e++) {
          const t = l[e];
          Array.isArray(t) && u < d ? i(t, u + 1) : o.push(t);
        }
      };
      return i(s, 0), o;
    }
    n.flatten = f;
  })(r), r);
}
export {
  m as __require
};
